Skip to main content
GET
https://api.dintero.com/v1
/
accounts
/
{aid}
/
hooks
/
subscriptions
/
{hid}
Subscription details
curl --request GET \
  --url https://api.dintero.com/v1/accounts/{aid}/hooks/subscriptions/{hid} \
  --header 'Authorization: Bearer <token>'
{
  "config": {
    "url": "<string>",
    "content_type": "application/json",
    "secret": {
      "type": "HMAC-SHA1"
    },
    "insecure_ssl": 0
  },
  "events": [
    "account_add"
  ],
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_at": "2023-11-07T05:31:56Z",
  "created_by": "1c92f7e1-2897-4d46-bdcc-c127a914fb4e",
  "updated_at": "2023-11-07T05:31:56Z",
  "deleted_by": "1c92f7e1-2897-4d46-bdcc-c127a914fb4e",
  "deleted_at": "2023-11-07T05:31:56Z",
  "active": true,
  "fields": "account(partner_id,account_id,created_at)",
  "exclude_fields": [
    "customer_ip",
    "billing_address"
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.dintero.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication (token authentication) should be used for accessing the API.

Use Get Token to get an access token for client credentials. Pass the token in the request header:

Authorization: Bearer {access_token}

where the access_token is JSON Web Tokens (JWT).

Path Parameters

aid
string<^[PT]{1}\d{8}$>
required

An id that uniquely identifies the account.

Required string length: 9
hid
string<uuid>
required

subscription id

Response

Subscription

Configuration for a webhook

config
object
required
events
enum<string>[]
required
Available options:
account_add,
account_update,
account_store_add,
account_store_update,
account_store_delete,
receipt_add,
receipt_update,
customer_add,
customer_update,
customer_delete,
customer_change_password,
token_add,
token_remove,
transaction,
wallet_transaction,
discount_add,
discount_update,
discount_delete,
discount_add_customers,
discount_customer_update,
shopping_draft_add,
shopping_draft_update,
shopping_draft_complete,
shopping_order_update,
shopping_order_event_add,
shopping_order_delete,
settlement_add,
location_add,
location_delete,
location_update,
cdd_case_update,
approval_payout_destination_update,
approval_payout_destination_delete,
checkout_authorization,
checkout_transaction,
checkout_token_add,
checkout_token_update,
checkout_token_delete
id
string<uuid>
read-only

An UUID that uniquely identifies the resource

created_at
string<date-time>
read-only

The date-time when the resource was created

created_by
string
read-only

The ID of the user/client created the resource

Example:

"1c92f7e1-2897-4d46-bdcc-c127a914fb4e"

updated_at
string<date-time>
read-only

The date-time when the resource was last updated

deleted_by
string
read-only

The ID of the user/client created the resource

Example:

"1c92f7e1-2897-4d46-bdcc-c127a914fb4e"

deleted_at
string<date-time>
read-only
active
boolean
default:true

Determines whether the hook is actually triggered.

fields
string<field-mask>

Limit the event data included in the delivery

The syntax is loosely based on XPath:

  • a,b,c comma-separated list will select multiple fields
  • a/b/c path will select a field from its parent
  • a(b,c) sub-selection will select many fields from a parent
  • a/*/c the star * wildcard will select all items in a field
Example:

"account(partner_id,account_id,created_at)"

exclude_fields
string<field-name>[]

Limit the event data included in the delivery

Maximum string length: 50
Example:
["customer_ip", "billing_address"]